aagc.vo

## Class PrescrizioneMediciInAltreASLResponse

- java.lang.Object
- - aagc.vo.PrescrizioneMediciInAltreASLResponse

-     public class PrescrizioneMediciInAltreASLResponse
      extends java.lang.Object

  Classe Java per prescrizioneMediciInAltreASLResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="prescrizioneMediciInAltreASLResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="impLordo" type="{http://www.w3.org/2001/XMLSchema}double"/>
               <element name="impTicket" type="{http://www.w3.org/2001/XMLSchema}double"/>
               <element name="codAssistito" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codProvinciale" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codMedico" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="prestazioniSpedite" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="prestazione" type="{http://www.nsisr.puglia.it/Schemas/}prestazioneSpeditaResponse" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codAssistito`
    `protected int` | `codMedico`
    `protected int` | `codProvinciale`
    `protected double` | `impLordo`
    `protected double` | `impTicket`
    `protected PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite` | `prestazioniSpedite`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneMediciInAltreASLResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodAssistito()` Recupera il valore della proprietà codAssistito.
    `int` | `getCodMedico()` Recupera il valore della proprietà codMedico.
    `int` | `getCodProvinciale()` Recupera il valore della proprietà codProvinciale.
    `double` | `getImpLordo()` Recupera il valore della proprietà impLordo.
    `double` | `getImpTicket()` Recupera il valore della proprietà impTicket.
    `PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite` | `getPrestazioniSpedite()` Recupera il valore della proprietà prestazioniSpedite.
    `void` | `setCodAssistito(java.lang.String value)` Imposta il valore della proprietà codAssistito.
    `void` | `setCodMedico(int value)` Imposta il valore della proprietà codMedico.
    `void` | `setCodProvinciale(int value)` Imposta il valore della proprietà codProvinciale.
    `void` | `setImpLordo(double value)` Imposta il valore della proprietà impLordo.
    `void` | `setImpTicket(double value)` Imposta il valore della proprietà impTicket.
    `void` | `setPrestazioniSpedite(PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite value)` Imposta il valore della proprietà prestazioniSpedite.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### impLordo

          protected double impLordo

    - #### impTicket

          protected double impTicket

    - #### codAssistito

          protected java.lang.String codAssistito

    - #### codProvinciale

          protected int codProvinciale

    - #### codMedico

          protected int codMedico

    - #### prestazioniSpedite

          protected PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite prestazioniSpedite

  - ### Constructor Detail

    - #### PrescrizioneMediciInAltreASLResponse

          public PrescrizioneMediciInAltreASLResponse()

  - ### Method Detail

    - #### getImpLordo

          public double getImpLordo()

      Recupera il valore della proprietà impLordo.

    - #### setImpLordo

          public void setImpLordo(double value)

      Imposta il valore della proprietà impLordo.

    - #### getImpTicket

          public double getImpTicket()

      Recupera il valore della proprietà impTicket.

    - #### setImpTicket

          public void setImpTicket(double value)

      Imposta il valore della proprietà impTicket.

    - #### getCodAssistito

          public java.lang.String getCodAssistito()

      Recupera il valore della proprietà codAssistito.
      Returns:
        possible object is `String`

    - #### setCodAssistito

          public void setCodAssistito(java.lang.String value)

      Imposta il valore della proprietà codAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodProvinciale

          public int getCodProvinciale()

      Recupera il valore della proprietà codProvinciale.

    - #### setCodProvinciale

          public void setCodProvinciale(int value)

      Imposta il valore della proprietà codProvinciale.

    - #### getCodMedico

          public int getCodMedico()

      Recupera il valore della proprietà codMedico.

    - #### setCodMedico

          public void setCodMedico(int value)

      Imposta il valore della proprietà codMedico.

    - #### getPrestazioniSpedite

          public PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite getPrestazioniSpedite()

      Recupera il valore della proprietà prestazioniSpedite.
      Returns:
        possible object is `PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite`

    - #### setPrestazioniSpedite

          public void setPrestazioniSpedite(PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite value)

      Imposta il valore della proprietà prestazioniSpedite.
      Parameters:
        `value` - allowed object is `PrescrizioneMediciInAltreASLResponse.PrestazioniSpedite`